"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.authorizeSelf = void 0;
const tslib_1 = require("tslib");
const empty_1 = tslib_1.__importDefault(require("tily/is/empty"));
const security_1 = require("@loopback/security");
const authorization_1 = require("@loopback/authorization");
const pupa = require("pupa");
/**
 * Allow for the request user id equals the login user id.
 *
 * @param id id template string in arguments. e.g. {0} for first argument, {1} for second argument.
 */
function authorizeSelf(id = '{0}') {
    return async (authorizationCtx, metadata) => {
        var _a;
        const principal = authorizationCtx.principals[0];
        if (!principal) {
            return authorization_1.AuthorizationDecision.ABSTAIN;
        }
        if (empty_1.default(authorizationCtx.invocationContext.args)) {
            return authorization_1.AuthorizationDecision.ALLOW;
        }
        const userId = (_a = principal[security_1.securityId]) !== null && _a !== void 0 ? _a : principal.id;
        const reqUserId = pupa(id, authorizationCtx.invocationContext.args);
        if (userId === reqUserId) {
            return authorization_1.AuthorizationDecision.ALLOW;
        }
        return authorization_1.AuthorizationDecision.ABSTAIN;
    };
}
exports.authorizeSelf = authorizeSelf;
//# sourceMappingURL=self.js.map