/// <reference types="node" />
import { TranslatorOptions } from '@libit/translate';
import { LoggerConfig } from './components/logger/types';
import { IncomingMessage } from 'http';
export interface TranslatorConfig extends TranslatorOptions {
    resourceDir: string | string[];
}
export interface ObfConfig {
    enabled?: boolean;
    uri?: string;
    openapiSpec?: Record<string, unknown>;
    authentication?: boolean;
    username?: string;
    password?: string;
    authenticate?: (req?: IncomingMessage, username?: string, password?: string) => boolean;
}
export interface FoundationConfig {
    projectRoot: string;
    projectName: string;
    projectVersion: string;
    logger?: LoggerConfig;
    translator?: TranslatorConfig;
    obf?: ObfConfig;
}
