import {Logger} from '@libit/log';
import {BindingKey} from '@loopback/core';
import {BINDING_PREFIX} from '../../constants';
import {LoggerConfig} from './types';

export namespace LoggerBindings {
  /**
   * Binding key for ContextExplorerComponent
   */
  export const CONFIG = BindingKey.create<LoggerConfig>(`${BINDING_PREFIX}.logger.config`);

  /**
   * Injection key constant
   */
  export const LOGGER_KEY = `${BINDING_PREFIX}.logger`;

  /**
   * Binding keys used by this component.
   */
  export const LOGGER = BindingKey.create<Logger>(LOGGER_KEY);
}
