import {BindingScope, injectable, Provider} from '@loopback/context';
import {Logger} from '@libit/log';
import {LoggerConfig} from '../types';
import {LoggerBindings} from '../keys';
import {inject} from '@loopback/core';

@injectable({scope: BindingScope.SINGLETON})
export class LoggerProvider implements Provider<Logger> {
  logger: Logger;

  constructor(
    @inject(LoggerBindings.CONFIG)
    private options: LoggerConfig | undefined,
  ) {
    this.logger = Logger.create({name: '', ...options});
  }

  value(): Logger {
    return this.logger;
  }
}
