import {BindingKey} from '@loopback/core';
import {ExpressRequestHandler} from '@loopback/rest';
import {Translator} from '@libit/translate';
import {FoundationConfig} from './types';
import {BINDING_PREFIX} from './constants';

export namespace FoundationBindings {
  export const CONFIG = BindingKey.create<Partial<FoundationConfig>>('cl.packages.foundation.config');

  export const TRANSLATOR = BindingKey.create<Translator>(`${BINDING_PREFIX}.translator`);

  export const SWSTATS_MIDDLEWARE = BindingKey.create<ExpressRequestHandler>(`middleware.express.swstats`);

  export const EXPRESS_MIDDLEWARES = BindingKey.create<ExpressRequestHandler[]>(
    `cl.packages.foundation.expressMiddlewares`,
  );
}
